Subject: Re: bug#12872: 24.2; Provide a feature to trigger mode-line redisplay

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 04 Dec 2021 19:55:09 +0100

Eli Zaretskii <[email-masked]> writes:

> force-mode-line-update is a blunt weapon, and causes a much more
> thorough redisplay than its name says.  And post-command-hook is not
> the best method of achieving the desired goal, since it runs after
> _every_ command, not just a command that changes the line of point.

Perhaps this should be mentioned in the doc string of that function?

This function could grow a `mode-line-only' parameter (or value of ALL),
I guess.  Hm...  following the logic here isn't trivial.  Would setting
a new flag in the window object that'll make redisplay call
redisplay_mode_lines be a way to implement this?

Or just call it directly from (force-mode-line-update 'mode-line-only)?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no